Bug 877634 (CVE-2012-4214, CVE-2012-4215, CVE-2012-4216, CVE-2012-5829, CVE-2012-5839, CVE-2012-5840) - CVE-2012-4214 CVE-2012-4215 CVE-2012-4216 CVE-2012-5829 CVE-2012-5839 CVE-2012-5840 Mozilla: Use-after-free and buffer overflow issues found using Address Sanitizer (MFSA 2012-105)
Summary: CVE-2012-4214 CVE-2012-4215 CVE-2012-4216 CVE-2012-5829 CVE-2012-5839 CVE-201...
Status: CLOSED ERRATA
Alias: CVE-2012-4214, CVE-2012-4215, CVE-2012-4216, CVE-2012-5829, CVE-2012-5839, CVE-2012-5840
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20121120,repor...
Keywords: Security
Depends On:
Blocks: 873088
TreeView+ depends on / blocked
 
Reported: 2012-11-17 12:05 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 19:19 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-01-08 19:18:03 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1482 normal SHIPPED_LIVE Critical: firefox security update 2012-11-21 03:10:31 UTC
Red Hat Product Errata RHSA-2012:1483 normal SHIPPED_LIVE Critical: thunderbird security update 2012-11-21 02:49:59 UTC

Description Huzaifa S. Sidhpurwala 2012-11-17 12:05:16 UTC
Security researcher Abhishek Arya (Inferno) of the Google Chrome Security Team discovered a series critically rated of use-after-free and buffer overflow issues using the Address Sanitizer tool in shipped software. These issues are potentially exploitable, allowing for remote code execution. We would also like to thank Abhishek for reporting five additional use-after-free, out of bounds read, and buffer overflow flaws introduced during Firefox development that were fixed before general release.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.


External Reference:

http://www.mozilla.org/security/announce/2012/mfsa2012-105.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Abhishek Arya as the original reporter.

Comment 1 errata-xmlrpc 2012-11-20 21:51:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1483 https://rhn.redhat.com/errata/RHSA-2012-1483.html

Comment 2 errata-xmlrpc 2012-11-20 22:12:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1482 https://rhn.redhat.com/errata/RHSA-2012-1482.html


Note You need to log in before you can comment on or make changes to this bug.